Summary:	A free open source PHP accelerator.
License:	GPL
Group:		System Environment/Libraries
Name:		turck-mmcache
Version:	2.4.6
Release:	1.5.2
Source0:	http://aleron.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Patch0:		turck-mmcache-2.4.6-engardeize-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{release}
Requires:	php

%description
Turck MMCache is a free open source PHP accelerator, optimizer,
encoder and dynamic content cache for PHP. It increases performance
of PHP scripts by caching them in compiled state, so that the
overhead of compiling is almost completely eliminated. Also it uses
some optimizations to speed up execution of PHP scripts. Turck
MMCache typically reduces server load and increases the speed of
your PHP code by 1-10 times.

%files
  %defattr(-,root,root)
  %doc CREDITS EXPERIMENTAL LICENSE README README.AIX README.loader TODO
  %attr(0511,root,root)	%{_libdir}/php/extensions/mmcache.so
  %attr(0644,root,root)	%{_datadir}/turck-mmcache/*.php
  %attr(0700,webd,root)	/var/run/php/mmcache

%prep
%setup -q
%patch0 -p1
%build
  chmod 700 phpize php-config
  ./phpize && ./configure --enable-mmcache=shared --with-php-config=./php-config
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_libdir}/php/extensions
  mkdir -p $RPM_BUILD_ROOT/%{_datadir}/turck-mmcache
  mkdir -p $RPM_BUILD_ROOT/var/run/php/mmcache

  install .libs/mmcache.so $RPM_BUILD_ROOT/%{_libdir}/php/extensions
  for i in *.php; do install $i $RPM_BUILD_ROOT/%{_datadir}/turck-mmcache/$i; done

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue May 04 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.6, Release 1.5.2
  - Package encoder.php, mmcache.php, and mmcache_password.php
    in /usr/share/turck-mmcache.
  - Package /var/run/php/mmcache, owned by webd.

* Mon May 03 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.6, Release 1.5.1
  - Initial build for EnGarde.
